Uploaded image for project: 'Wicket'
  1. Wicket
  2. WICKET-6596

Use JQuery 3.x as default

    XMLWordPrintableJSON

    Details

    • Type: Task
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 9.0.0-M1
    • Fix Version/s: 9.0.0-M1
    • Component/s: wicket
    • Labels:
      None

      Description

      JQuery 2.x won't be developed anymore.

      Wicket should use jQuery 3.x by default.

      org.apache.wicket.resource.JQueryResourceReference#getV2() will be still available if an application decided to downgrade the used jQuery to 2.2.4

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                mgrigorov Martin Tzvetanov Grigorov
                Reporter:
                mgrigorov Martin Tzvetanov Grigorov
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: